index

Varkon MBS Programmers manual

# get_light - Function

## Description

Returns information about a light source.

## Syntax

      status:=get_light(light, on, intensity, mode);

      int   light;
      int   on;
      float intensity;
      int   mode;
      int   status;

## Principal parameters

light | - The lightsource number. A number from 0 to 7.
on | - Returns 1 if the lightsource is turned on, or 0 if turned off.
intensity | - Returns the intensity of the lightsource, 0 - 100%.
mode | - Returns the transformation mode. 0 = Static, 1 = Follow_model.

## Return value

Returns 0 if the lightsource is defined and -1 if not defined.

## Comments

See also:

cre_light()

Varkon version 1.19C svn# 120